# Uses of Class
javafx.scene.layout.BackgroundImage

Packages that use BackgroundImage
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BackgroundImage in javafx.scene.layout

Methods in javafx.scene.layout that return types with arguments of type BackgroundImage
Modifier and Type
Method
Description
`final List<BackgroundImage>`
Background.`getImages()`
The list of BackgroundImages which together define the image portion of this Background.
Constructors in javafx.scene.layout with parameters of type BackgroundImage
Modifier
Constructor
Description
``
`Background(BackgroundFill[] fills, BackgroundImage[] images)`
Create a new Background by supplying two arrays, one for background fills, and one for background images.
``
`Background(BackgroundImage... images)`
Create a new Background by supplying an array of BackgroundImages.